services:
  redis-api:
    build:
      context: ../redis-api
      dockerfile: Dockerfile
    ports:
      - "3001:3001"
    depends_on:
      - redis
    environment:
      - REDIS_CONNECTION=redis:6379
      - PRIMARY_API_KEY=
      - SECONDARY_API_KEY=
      - NODE_ENV=development
      - SENTRY_ENABLED=false
      - SENTRY_DSN=fake-dsn
      - SENTRY_ENVIRONMENT=development
  redis:
    image: redis:6
    ports:
      - "6379:6379"

  redisinsight:
    image: redis/redisinsight:latest
    ports:
      - "5540:5540"
    depends_on:
      - redis
